MediaWiki:Gadget-Infobox.css: Difference between revisions

Kuhlau (talk | contribs)
No edit summary
Raven.Familiar (talk | contribs)
slight style change so the infobox pops out more
 
(5 intermediate revisions by one other user not shown)
Line 6: Line 6:


/* Custom stuff */
/* Custom stuff */
.portable-infobox {
.portable-infobox {
--pi-background: var(--theme-page-background-color);
--pi-background: var(--theme-page-background-color);
Line 14: Line 13:
border-radius: 5px;
border-radius: 5px;
border-style: unset;
border-style: unset;
border: 1px solid var(--pi-border);
border: 3px solid var(--pi-border);
color: var(--theme-page-text-color);
color: var(--theme-page-text-color);
    border-radius: 10px !important;
    overflow: hidden;
}
}


.skin-vector-legacy .portable-infobox {
.skin-vector-legacy .portable-infobox {
width: 270px;
width: 270px;
}
.skin-minerva .portable-infobox {
margin-bottom: 1em;
}
}


Line 29: Line 34:
.portable-infobox .pi-header[data-item-name=secondary_title] {
.portable-infobox .pi-header[data-item-name=secondary_title] {
padding-top: 0;
padding-top: 0;
}
.skin-minerva .portable-infobox .pi-secondary-background {
text-align: center;
}
}


Line 83: Line 92:
.pi-smart-data-value.pi-data-value.pi-font.pi-item-spacing.pi-border-color {
.pi-smart-data-value.pi-data-value.pi-font.pi-item-spacing.pi-border-color {
padding-top: 0;
padding-top: 0;
}
/* remove/replace automatically set margin for li tabs */
.portable-infobox ul.pi-section-navigation li.pi-section-tab,
.portable-infobox ul.pi-media-collection-tabs li.pi-tab-link {
margin: 3px;
border-radius: 15px;
min-width: max(20%, 100px);
}
}


Line 92: Line 109:
     border-radius: 5px !important;
     border-radius: 5px !important;
     float: right !important;
     float: right !important;
}
.portable-infobox {
    border-radius: 10px !important;
    overflow: hidden;
}
}


.portable-infobox.pi-type-anima .pi-title {
.portable-infobox.pi-type-anima .pi-title {
     text-align: left;
     text-align: left;
}
.skin-minerva .portable-infobox.pi-type-anima .pi-title {
padding-bottom: 9px;
}
}


Line 113: Line 128:
padding-top: 10px !important;
padding-top: 10px !important;
text-transform: none;
text-transform: none;
border-bottom: 1px solid var(--theme-border-color);
}
}


Line 129: Line 145:
padding-inline: 0;
padding-inline: 0;
margin: 0;
margin: 0;
padding: 2px 0;
background-color: var(--theme-color-7);
background-color: var(--theme-color-7);
padding: 2px 0;
border-bottom: 1px solid var(--theme-border-color);
}
}